
<div *ngIf="bankAccount">
    <h2><span jhiTranslate="bakApp.bankAccount.detail.title">Bank Account</span> {{bankAccount.id}}</h2>
    <hr>
    <jhi-alert-error></jhi-alert-error>
    <dl class="row-md jh-entity-details">
        <dt><span jhiTranslate="bakApp.bankAccount.accountNumber">Account Number</span></dt>
        <dd>
            <span>{{bankAccount.accountNumber}}</span>
        </dd>
        <dt><span jhiTranslate="bakApp.bankAccount.balance">Balance</span></dt>
        <dd>
            <span>{{bankAccount.balance}}</span>
        </dd>
        <dt><span jhiTranslate="bakApp.bankAccount.customer">Customer</span></dt>
        <dd>
            <div *ngIf="bankAccount.customerId">
                <a [routerLink]="['/customer-my-suffix', bankAccount.customerId]">{{bankAccount.customerId}}</a>
            </div>
        </dd>
    </dl>

    <button type="submit"
            (click)="previousState()"
            class="btn btn-info">
        <span class="fa fa-arrow-left"></span>&nbsp;<span jhiTranslate="entity.action.back"> Back</span>
    </button>

    <button type="button"
            [routerLink]="['/', { outlets: { popup: 'bank-account-my-suffix/'+ bankAccount.id + '/edit'} }]"
            replaceUrl="true"
            queryParamsHandling="merge"
            class="btn btn-primary">
        <span class="fa fa-pencil"></span>&nbsp;<span jhiTranslate="entity.action.edit"> Edit</span>
    </button>
</div>
